Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
Class FlowBuilder

    java.lang.Object
      org.springframework.webflow.engine.builder.support.AbstractFlowBuilder
          org.codehaus.groovy.grails.webflow.engine.builder.FlowBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject, ApplicationContextAware, org.springframework.webflow.engine.builder.FlowBuilder

    public class FlowBuilder

extends org.springframework.webflow.engine.builder.support.AbstractFlowBuilder
implements groovy.lang.GroovyObject, ApplicationContextAware

Field Summary
`protected org.springframework.webflow.engine.builder.support.FlowBuilderServices` | `flowBuilderServices`

Constructor Summary
`FlowBuilder(String flowId, groovy.lang.Closure newFlowClosure, org.springframework.webflow.engine.builder.support.FlowBuilderServices flowBuilderServices, org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator)`
`FlowBuilder(String flowId, org.springframework.webflow.engine.builder.support.FlowBuilderServices flowBuilderServices, org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `buildStates()`
`protected org.springframework.webflow.engine.State` | `createEndState(String stateId, String viewId, org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory)`
`protected org.springframework.webflow.engine.State` | `createEndState(String stateId, String viewId, org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory, groovy.lang.Closure customEntryAction)`
`protected org.springframework.webflow.engine.State` | `createRedirectEndState(String stateId, String url, org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory)`
`protected org.springframework.webflow.engine.State` | `createRedirectEndState(String stateId, String url, org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory, groovy.lang.Closure customEntryAction)`
`protected org.springframework.webflow.execution.ViewFactory` | `createViewFactory(String viewId)`
`ApplicationContext` | `getApplicationContext()`
`static Object` | `getCLOSURE_METHODS()`
`static Object` | `getDO_CALL_METHOD()`
`static Object` | `getFLOW_INFO_METHODS()`
`static Object` | `getFLOW_METHOD()`
`org.springframework.webflow.engine.builder.FlowBuilderContext` | `getFlowBuilderContext()`
`String` | `getFlowId()`
`static Object` | `getLOG()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`String` | `getViewPath()`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setApplicationContext(ApplicationContext value)`
`void` | `setMetaClass(groovy.lang.MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`void` | `setViewPath(String value)`

Methods inherited from class org.springframework.webflow.engine.builder.support.AbstractFlowBuilder
`buildEndActions, buildExceptionHandlers, buildGlobalTransitions, buildInputMapper, buildOutputMapper, buildStartActions, buildVariables, createFlow, dispose, doDispose, doInit, getContext, getFlow, getFlowResourceString, hasFlowChanged, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flowBuilderServices

    protected org.springframework.webflow.engine.builder.support.FlowBuilderServices flowBuilderServices

Constructor Detail

### FlowBuilder

    public FlowBuilder(String flowId,
                       org.springframework.webflow.engine.builder.support.FlowBuilderServices flowBuilderServices,
                       org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator)

### FlowBuilder

    public FlowBuilder(String flowId,
                       groovy.lang.Closure newFlowClosure,
                       org.springframework.webflow.engine.builder.support.FlowBuilderServices flowBuilderServices,
                       org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator)

Method Detail

### getLOG

    public static Object getLOG()

### getDO_CALL_METHOD

    public static Object getDO_CALL_METHOD()

### getFLOW_METHOD

    public static Object getFLOW_METHOD()

### getCLOSURE_METHODS

    public static Object getCLOSURE_METHODS()

### getFLOW_INFO_METHODS

    public static Object getFLOW_INFO_METHODS()

### getFlowId

    public String getFlowId()

### getApplicationContext

    public ApplicationContext getApplicationContext()

### setApplicationContext

    public void setApplicationContext(ApplicationContext value)

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`

### getViewPath

    public String getViewPath()

### setViewPath

    public void setViewPath(String value)

### getFlowBuilderContext

    public org.springframework.webflow.engine.builder.FlowBuilderContext getFlowBuilderContext()

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### createRedirectEndState

    protected org.springframework.webflow.engine.State createRedirectEndState(String stateId,
                                                                              String url,
                                                                              org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory,
                                                                              groovy.lang.Closure customEntryAction)

### createEndState

    protected org.springframework.webflow.engine.State createEndState(String stateId,
                                                                      String viewId,
                                                                      org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory,
                                                                      groovy.lang.Closure customEntryAction)

### createViewFactory

    protected org.springframework.webflow.execution.ViewFactory createViewFactory(String viewId)

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass metaClass)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### buildStates

    public void buildStates()
                     throws org.springframework.webflow.engine.builder.FlowBuilderException

  Specified by:
    `buildStates` in interface `org.springframework.webflow.engine.builder.FlowBuilder`
  Specified by:
    `buildStates` in class `org.springframework.webflow.engine.builder.support.AbstractFlowBuilder`
  Throws:
    `org.springframework.webflow.engine.builder.FlowBuilderException`

### createRedirectEndState

    protected org.springframework.webflow.engine.State createRedirectEndState(String stateId,
                                                                              String url,
                                                                              org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory)

### createEndState

    protected org.springframework.webflow.engine.State createEndState(String stateId,
                                                                      String viewId,
                                                                      org.springframework.webflow.engine.builder.FlowArtifactFactory flowFactory)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project